
VIRTUAL CREDIT CARD - Bug #15352

Android [TREATS] [TREATS Point] The redeemValue in request is show wrongly

22 December 2022 06:49 PM - hsulynn pang

Status: Closed Start date: 22 December 2022

Priority: High Due date:  

Assignee: hsulynn pang % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

user profile: ntbsec03

steps:

(1) login

(2) swipe to the right for Kartu Kredit

(3) select the credit card for TREATS

(4) at the Customer Transaction History screen, click My TREATS

(5) at the My TREATS Rewards screen, click Redeem Reward TREATS

(6) at the Point tab, click Tambah button

(7) add product quantity more than 1, click Add to Cart button

(8) click Redeem button

(9) input TAC

(10) verify screen

Actual result: The redeemValue in request is show wrongly

Expected result: The redeemValue in request needs to show total points that user redeem for that specific product

History

#1 - 22 December 2022 10:00 PM - hsulynn pang

- Status changed from New to Assigned

- Assignee changed from Abdul Halim Baharom to hsulynn pang

#2 - 22 December 2022 10:12 PM - hsulynn pang

note able to test treats point as Alpabit didn't return product list

#3 - 23 December 2022 09:14 AM - hsulynn pang

- File WhatsApp-Video-2022-12-23-at-091.mp4 added

- File WhatsApp Image 2022-12-23 at 09.12.29.jpeg added

- Assignee changed from hsulynn pang to Abdul Halim Baharom

the issue still exist

#4 - 23 December 2022 03:13 PM - Abdul Halim Baharom

- Assignee changed from Abdul Halim Baharom to hsulynn pang

#5 - 23 December 2022 03:49 PM - hsulynn pang

- File retest (1).mp4 added

- File WhatsApp Image 2022-12-23 at 15.46.30.jpeg added

- Status changed from Assigned to Closed

tested ok
Files

transaction.txt 2.7 KB 22 December 2022 hsulynn pang

WhatsApp Video 2022-12-22 at 18.46.43.mp4 3 MB 22 December 2022 hsulynn pang

WhatsApp-Video-2022-12-23-at-091.mp4 2.51 MB 23 December 2022 hsulynn pang

WhatsApp Image 2022-12-23 at 09.12.29.jpeg 63.9 KB 23 December 2022 hsulynn pang

retest (1).mp4 3.44 MB 23 December 2022 hsulynn pang

WhatsApp Image 2022-12-23 at 15.46.30.jpeg 68.3 KB 23 December 2022 hsulynn pang
